# 2. Query: „Fields“ abrufen

Ein einfaches Beispiel einer "Fields"-Abfrage, die die Fläche in Hektar abruft.

{% hint style="info" %}
"Field"-Flächeneinheit könnte eine der folgenden sein: `ACRES` oder `HECTARES` oder `SQUARE_METERS`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    name
    fields {
      uuid
      name
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Ein detailliertes Beispiel, das Paginierung und Filtermöglichkeiten einschließt, wird beschrieben in [43: Query Get "Fields"](/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/43.-query-fields-abrufen.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/2.-query-fields-abrufen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
